# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::LineStipple Class Reference

Wraps the OpenGL function glLineStipple(), see also http://www.opengl.org/sdk/docs/man/xhtml/glLineStipple.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::LineStipple:

List of all members.

## Public Member Functions
| LineStipple (int factor=1, GLushort pattern=~(GLushort) 0)
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *) const
void | set (int factor, GLushort pattern)
void | setFactor (int factor)
void | setPattern (GLushort pattern)
int | factor () const
GLushort | pattern () const
## Protected Attributes
int | mFactor
GLushort | mPattern

## Detailed Description

Wraps the OpenGL function glLineStipple(), see also http://www.opengl.org/sdk/docs/man/xhtml/glLineStipple.xml for more information.

See also:
  Shader, Effect, Actor, vl::EN_LINE_STIPPLE

## Constructor & Destructor Documentation

vl::LineStipple::LineStipple | ( | int | factor = `1`,
|  | GLushort | pattern = `~(GLushort)0` |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual const char* vl::LineStipple::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

virtual ERenderState vl::LineStipple::type | ( |  | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

void LineStipple::apply | ( | const Camera * |  | ) | const`[virtual]`

Implements vl::RenderState.

void vl::LineStipple::set | ( | int | factor,
|  | GLushort | pattern |
| ) |  |  | `[inline]`

void vl::LineStipple::setFactor | ( | int | factor | ) | `[inline]`

void vl::LineStipple::setPattern | ( | GLushort | pattern | ) | `[inline]`

int vl::LineStipple::factor | ( |  | ) | const`[inline]`

GLushort vl::LineStipple::pattern | ( |  | ) | const`[inline]`

## Member Data Documentation

int vl::LineStipple::mFactor`[protected]`

GLushort vl::LineStipple::mPattern`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:51 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.